---
title: Two.Star
pageClass: docs
lang: en-US
---

# Two.Star


<div class="extends">

Extends: [Two.Path](/docs/path/)

</div>





<div class="meta">
  <custom-button text="Source" type="source" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/star.js" />
</div>


<carbon-ads />


### Constructor


| Argument | Description |
| ---- | ----------- |
|  x  | The x position of the star. |
|  y  | The y position of the star. |
|  innerRadius  | The inner radius value of the star. |
|  outerRadius  | The outer radius value of the star. |
|  sides  | The number of sides used to construct the star. |



<div class="static member ">

## Properties

<h2 class="longname" aria-hidden="true"><a href="#Properties"><span class="prefix">Two.Star.</span><span class="shortname">Properties</span></a></h2>










<div class="properties">


A list of properties that are on every [Two.Star](/docs/shapes/star/).


</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/star.js#L114">
    star.js:114
  </a>

</div>




</div>



<div class="instance member ">

## innerRadius

<h2 class="longname" aria-hidden="true"><a href="#innerRadius"><span class="prefix">Two.Star.</span><span class="shortname">innerRadius</span></a></h2>










<div class="properties">


The size of the inner radius of the star.


</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/star.js#L79">
    star.js:79
  </a>

</div>




</div>



<div class="instance member ">

## outerRadius

<h2 class="longname" aria-hidden="true"><a href="#outerRadius"><span class="prefix">Two.Star.</span><span class="shortname">outerRadius</span></a></h2>










<div class="properties">


The size of the outer radius of the star.


</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/star.js#L87">
    star.js:87
  </a>

</div>




</div>



<div class="instance member ">

## sides

<h2 class="longname" aria-hidden="true"><a href="#sides"><span class="prefix">Two.Star.</span><span class="shortname">sides</span></a></h2>










<div class="properties">


The amount of sides the star has.


</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/star.js#L95">
    star.js:95
  </a>

</div>




</div>



<div class="instance function ">

## clone

<h2 class="longname" aria-hidden="true"><a href="#clone"><span class="prefix">Two.Star.</span><span class="shortname">clone</span></a></h2>




<div class="returns">

__Returns__: Two.Star



</div>









<div class="params">

| Argument | Description |
| ---- | ----------- |
|  parent  | The parent group or scene to add the clone to. |
</div>




<div class="description">

Create a new instance of [Two.Star](/docs/shapes/star/) with the same properties of the current path.

</div>





<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/star.js#L183">
    star.js:183
  </a>

</div>




</div>



<div class="instance function ">

## toObject

<h2 class="longname" aria-hidden="true"><a href="#toObject"><span class="prefix">Two.Star.</span><span class="shortname">toObject</span></a></h2>




<div class="returns">

__Returns__: Object



</div>












<div class="description">

Return a JSON compatible plain object that represents the path.

</div>





<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/star.js#L221">
    star.js:221
  </a>

</div>




</div>


